This job view page is being replaced by Spyglass soon. Check out the new job view.
PRsedefsavas: Bump Kubernetes to v1.24.0 and fix AWSMachinePool minsize
ResultFAILURE
Tests 2 failed / 22 succeeded
Started2022-07-27 21:48
Elapsed1h33m
Revision59059b321df48459ece5ad6926feadaca6dd3ed7
Refs 3468

Test Failures


capa-e2e [unmanaged] [Cluster API Framework] Clusterctl Upgrade Spec [from latest v1beta1 release to main] Should create a management cluster and then upgrade all the providers 14m46s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=capa\-e2e\s\[unmanaged\]\s\[Cluster\sAPI\sFramework\]\sClusterctl\sUpgrade\sSpec\s\[from\slatest\sv1beta1\srelease\sto\smain\]\sShould\screate\sa\smanagement\scluster\sand\sthen\supgrade\sall\sthe\sproviders$'
/home/prow/go/pkg/mod/sigs.k8s.io/cluster-api/test@v1.1.5/e2e/clusterctl_upgrade.go:147
failed to run clusterctl init:
stdout:
Fetching providers
Error: invalid provider metadata: version v1.2.99 for the provider capi-system/cluster-api does not match any release series

stderr:

Unexpected error:
    <*exec.ExitError | 0xc001109540>: {
        ProcessState: {
            pid: 30872,
            status: 256,
            rusage: {
                Utime: {Sec: 1, Usec: 314476},
                Stime: {Sec: 0, Usec: 149708},
                Maxrss: 69260,
                Ixrss: 0,
                Idrss: 0,
                Isrss: 0,
                Minflt: 12448,
                Majflt: 0,
                Nswap: 0,
                Inblock: 0,
                Oublock: 0,
                Msgsnd: 0,
                Msgrcv: 0,
                Nsignals: 0,
                Nvcsw: 3604,
                Nivcsw: 396,
            },
        },
        Stderr: nil,
    }
    exit status 1
occurred
/home/prow/go/pkg/mod/sigs.k8s.io/cluster-api/test@v1.1.5/framework/clusterctl/client.go:113
				
				Click to see stdout/stderrfrom junit.e2e_suite.6.xml

Filter through log files | View test history on testgrid


capa-e2e [unmanaged] [Cluster API Framework] Clusterctl Upgrade Spec [from v1alpha4] Should create a management cluster and then upgrade all the providers 17m20s

go run hack/e2e.go -v --test --test_args='--ginkgo.focus=capa\-e2e\s\[unmanaged\]\s\[Cluster\sAPI\sFramework\]\sClusterctl\sUpgrade\sSpec\s\[from\sv1alpha4\]\sShould\screate\sa\smanagement\scluster\sand\sthen\supgrade\sall\sthe\sproviders$'
/home/prow/go/pkg/mod/sigs.k8s.io/cluster-api/test@v1.1.5/e2e/clusterctl_upgrade.go:147
failed to run clusterctl upgrade
Unexpected error:
    <*errors.fundamental | 0xc0022493e0>: {
        msg: "invalid provider metadata: version v1.2.99 (one of the available versions) for the provider capi-kubeadm-bootstrap-system/bootstrap-kubeadm does not match any release series",
        stack: [0x1f8b1fe, 0x1f876b8, 0x1f8736f, 0x1fb7922, 0x1fbba5c, 0x1fbeaad, 0x200fa2a, 0x955851, 0x955245, 0x95493b, 0x95a62a, 0x95a027, 0x9664c8, 0x9661e5, 0x965885, 0x967c52, 0x974069, 0x973e76, 0x206e3db, 0x520bc2, 0x46d9a1],
    }
    invalid provider metadata: version v1.2.99 (one of the available versions) for the provider capi-kubeadm-bootstrap-system/bootstrap-kubeadm does not match any release series
occurred
/home/prow/go/pkg/mod/sigs.k8s.io/cluster-api/test@v1.1.5/framework/clusterctl/client.go:142
				
				Click to see stdout/stderrfrom junit.e2e_suite.1.xml

Filter through log files | View test history on testgrid


Show 22 Passed Tests

Show 4 Skipped Tests